The following new software have been INSTALLED:
  • Intel Compilers 2017 Update 4 (module: intel/17.4.056 (non-default))
The following unused software have been REMOVED:

  • PGI
    • 13.9.0
    • 14.2.0
    • 14.3.0

  • Intel Compilers
  • Chapel

    • 1.6.0
    • 1.8.0 
    • 1.9.0
    • 1.10.0
  • Cray-Libsci
    • 12.0.02
    • 12.2.0
    • 13.3.0
  • GCC
    • 4.6.1
    • 4.8.1
    • 4.8.2
    • 5.2.0
  • Cray-Trilinos
It could be that something stopped working for you because of  extra dependencies on the software removed. If that is the case please let us know via regular support, we would be happy to help you.

We have upgraded the SSH server on hexagon to address some security issues.

If you can not log in anymore using your SSH key, but only password, please check the content of ~/.ssh/authorized_keys file for entries like from="" and change the hostname to IP address. Starting with this version only IP addresses and not host names may be used in the authorized_keys file.
Edit: authorized_keys file provides fine tuning for client access. If you would like to find out more about it, you may read sshd(8) man pages.

DSA key types are not considered safe anymore and we will phase them out soon. A new syslog entry will be added in the following days with more information about it.

During the maintenance we have:

  • applied different firmware updates and patches
  • installed newer libraries, compilers and tools

Please note that all libraries compiled with previous version of PGI will have to be recompiled.

Below you will find the complete list of the newly installed software:

  • CCE 8.4.0
  • Chapel 1.12.0
  • Craype 2.4.2
  • GCC 5.1.0
  • FFTW
  • HDF5 1.8.14
  • PGI 15.3.0
  • PerfTools 6.3.0
  • MPI 7.2.5
  • NetCDF
  • Totalview 8.15.7

PGI compiler version 15.3.0 has been installed on hexagon. Version 14.9.0 is still the default, but we kindly urge you to try out latest installed version. List of changes, enhancements you'll find here:
From autumn, new Cray compiled libraries for PGI will not support anything below PGI 15.x.

A newer version - 8.15.4 - of TotalView debugger is installed on hexagon, version 8.15.0 being currently the default.